<?php
$target = 'guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");
include("logos.php");
unset($_SESSION['cadena_csv']);
unset($_SESSION['nombcsv']);
$fecha_actual = date("Y-m-d");
$_SESSION['nombcsv']='ConsultaOrdenArea_' . $fecha_actual . '.csv';
$_SESSION['cadena_csv']= "ORDEN;AREA;";
$nombrepagina = "CONSULTA ORDEN - MENSAJEROS";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }
    ?>
    <link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
    <link rel="stylesheet" href="css/modal-message.css" type="text/css">
    <script type="text/javascript" src="js/modal-message.js"></script>
    <script type="text/javascript">
        messageObj = new DHTML_modalMessage();	// We only create one object of this class
        messageObj.setShadowOffset(0);	// Large shadow
        function displayStaticMessage(messageContent, cssClass, src)
        {


            document.backup.guia.disabled = true;
            messageObj.setHtmlContent(messageContent);
            messageObj.setSize(450, 120);
            messageObj.setCssClassMessageBox(cssClass);
            messageObj.setSource(false);	// no html source since we want to use a static message here.
            messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
            messageObj.display();

        }
        function cierraMessage()
        {
            messageObj.close();
            document.backup.guia.disabled = false;
            document.backup.guia.focus();
        }


        function reproducir() {
            document.all['cancion'].src = 'sound/alert.wav'
        }

    </script>
    <script language="javascript" src="js/popcalendar.js"></script>
    <form action="" method="POST" name="backup"><CENTER>
            <table width="300" border="0" class="primaria">

                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: ORDEN - ZONA ::..</div></td>
                </tr>

                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        No ODS:
                    </td>
                    <td width="200" class="miTable_td">
                        <textarea cols="20" rows="7" name="arr_ods" id="guia"></textarea>
                    </td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Consultar" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
            
           <table>
                    <tr class="miTable_tr">
                    <td colspan='4' class="miTable_td">
                <center>                    
                   

                </center>
                </td>
           </table>
            
            
            <?
            $db = new conexion();
            $db->conectarse();

            function titulos() {
              
                echo "<div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:400px'>";
                echo "<table border='0' width='720' class='primaria'>";
                echo "<tr class=miTable_tr>";
          
      
            }

            function DibujaOds($num_ods) {
$mysqli = mysqli_connect("192.157.230.224", "web", "nd2016*", "gama");
if (mysqli_connect_errno())
  {
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
  }
/*$q="select * from (
SELECT if(m.nombre is null,'* SIN ASIGNACION *',m.nombre)nombre,count(*) cantidad,especial2,group_concat(distinct trim(c.id_estado))id_estado,m.id_mensajero
FROM  gama.guias_proceso c
left join mensajeros m
on c.id_mensajero=m.id_mensajero
where  especial2 ='40' and orden='" . $num_ods . "'
group by m.id_mensajero) x
left join(
SELECT c.id_estado,id_mensajero,
count(if(c.id_estado=12,c.id_estado,null)) 'EN ALISTAMIENTO',
count(if(c.id_estado=13,c.id_estado,null)) 'INICIO DISTRIBUCION',
count(if(c.id_estado=14 ,c.id_estado,null)) 'ENTREGADAS SIN DIGITALIZAR',
count(if(c.id_estado=15 ,c.id_estado,null)) 'ENTREGADAS DIGITALIZADAS',
count(if(c.id_estado=16 ,c.id_estado,null)) 'EN DEVOLUCION',
count(if( c.id_estado=21,c.id_estado,null)) 'ENTREGADAS SIN DIGITALIZAR. FUERA DE TIEMPO',
count(if( c.id_estado=23,c.id_estado,null)) 'ENTREGADAS DIGITALIZAR. FUERA DE TIEMPO',
count(if( c.id_estado=22,c.id_estado,null)) 'DEVOLUCIONES. FUERA DE TIEMPO'
FROM  gama.guias_proceso c
inner join estados_gestion eg on c.id_estado = eg.id_estado
where  especial2 ='40' and orden='" . $num_ods . "'
group by id_mensajero)y
on y.id_estado in(x.id_estado) and y.id_mensajero=x.id_mensajero;";*/
$q="SELECT c.orden os,m.nombre, 
count(*) cantidad,
count(if(c.id_estado=12 ,c.id_estado,null)) 'EN ALISTAMIENTO', 
count(if(c.id_estado=13 ,c.id_estado,null)) 'INICIO DISTRIBUCION', 
count(if(c.id_estado=14 ,c.id_estado,null)) 'ENTREGADAS SIN DIGITALIZAR', 
count(if(c.id_estado=15 ,c.id_estado,null)) 'ENTREGADAS DIGITALIZADAS',
count(if(c.id_estado=16 ,c.id_estado,null)) 'EN DEVOLUCION', 
count(if( c.id_estado=21,c.id_estado,null)) 'ENTREGADAS SIN DIGITALIZAR. FUERA DE TIEMPO', 
count(if( c.id_estado=23,c.id_estado,null)) 'ENTREGADAS DIGITALIZAR. FUERA DE TIEMPO', 
count(if( c.id_estado=22,c.id_estado,null)) 'DEVOLUCIONES. FUERA DE TIEMPO' FROM gama.guias_proceso c 
left join mensajeros m on c.id_mensajero=m.id_mensajero 
where especial2 ='40' and orden='" . $num_ods . "'  group by c.id_mensajero";

   $result = mysqli_query($mysqli, $q);
    
        $_SESSION['cadena_csv'] .=$num_ods.';'.trim($area).';';
           echo   '<div class="container">
                    <div class="table-responsive">   
                        <table class=""id="tabla_zona" border="1"  cellspacing="0.5" width="100%">
                            <thead>
                                <tr>
<th>Os</th>
<th>Mensajero</th>
<th>Canti.</th>
<th>Alistamiento</th>
<th>I.Distribucion</th>
<th>EN.Sin Digitalizar</th>
<th>EN.Digitalizadas</th>
<th>Devolucion</th>
<th>EN.Sin Digitalizar Fuera de tiempo</th>
<th>EN.Digitalizadas Fuera de tiempo</th>
<th>Devolucion Fuera de tiempo</th>
                                </tr>
                            </thead>
                            <tbody >
                                '; 
$suma=0;
while($value = mysqli_fetch_assoc($result))
    {
$orden=$num_ods;
 $nombre=$value['nombre'];
$os=$value['cantidad'];
$suma=$suma + $os;
$id_estado=$value['EN ALISTAMIENTO'];
$zona_1=$value['INICIO DISTRIBUCION'];
$zona_10=$value['ENTREGADAS SIN DIGITALIZAR'];
$zona_15=$value['ENTREGADAS DIGITALIZADAS'];
$zona_16=$value['EN DEVOLUCION'];
$esft=$value['ENTREGADAS SIN DIGITALIZAR. FUERA DE TIEMPO'];
$edft=$value['ENTREGADAS DIGITALIZAR. FUERA DE TIEMPO'];
$dvft=$value['DEVOLUCIONES. FUERA DE TIEMPO'];
echo '
<tr>
<td>'.$orden.'</td>
<td>'.$nombre.'</td>
<td>'.$os.'</td>
<td>'.$id_estado.'</td>
<td>'.$zona_1.'</td>
<td>'.$zona_10.'</td>
<td>'.$zona_15.'</td>
<td>'.$zona_16.'</td>
<td>'.$esft.'</td>
<td>'.$edft.'</td>
<td>'.$dvft.'</td>
</tr>';  
}
echo '
<tr>
<td></td>
<td></td>
<td>'.$suma.'</td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>

</tr>'; 
echo '
                            </tbody>
                        </table>
                    </div>
                </div>';

              
}
            if (empty($arr_ods)) {
                if (!empty($f1) and !empty($f2)) {
                    titulos();
                    $rsEst = $db->consultar("select orden from ordenes where fecha_creacion>='" . $f1 . "' and fecha_creacion<='" . $f2 . "'");
                    while ($ret = mysql_fetch_array($rsEst)) {
                        $num_ods = $ret['orden'];
                        DibujaOds($num_ods);
                    }
                }
            } else {
                $input = explode("\n", $arr_ods);
                $arr_ods = array_unique($input);
                titulos();

                for ($ytr = 0; $ytr <= count($arr_ods); $ytr++) {
                    $num_ods = trim($arr_ods[$ytr]);
                    if (!empty($num_ods)) {
                        DibujaOds($num_ods);
                    }
                }
            }

            echo "</div>";            
            echo "</table>";
            mostrar_pie();
        }
//$pla=$_SESSION['planilla'];
        echo"</td>";
        echo"</tr>";
        echo"</table>";
        echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
        <td>
        <center>
            <? pie_de_pagina(); ?>
        </center>
        </td>
        <?php
        echo"</tr>";
        echo"</tbody></table>";

        echo"</center>";
        echo"</body>";
        echo"</html>";
        ?>
    </CENTER>
</form>
<script>function copiarAlPortapapeles(tableId) {
  var textRange = document.body.createTextRange(); 
    textRange.moveToElementText(document.getElementById(tableId)); 
    textRange.execCommand("Copy");
}</script>
